System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details.

A site can implement this service if it wants to provide a list of extender providers. By default, the list of extenders is generated by querying each component in the container that implements for the extenders each provides. By implementing this interface on a component site, a container can override the list of providers.

Provides an interface that can list extender providers.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.IExtenderProvider[] To be added

  Gets the set of extender providers for the component.

  An array of type that lists the active extender providers. If there are no providers, an empty array is returned.